MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000699XdebugUsage problems (Wrong Results)public2011-07-02 01:082011-07-04 15:50
Reporterderick 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2dev 
Target Version2.2devFixed in Version 
Summary0000699: Xdebug gets the filename wrong for the countable interface
DescriptionIn trace files, the line number for the correct call line is used (22), but the SomeClass->count() is run from the wrong file (should be test.php still).

    0.0006 677560 -> count(class SomeClass { private $data = array (0 => 'foobar') }) /tmp/phpunit/test.php:22
    0.0007 677560 -> SomeClass->count() /tmp/phpunit/SomeClass.php:22
    0.0007 677680 -> count(array (0 => 'foobar')) /tmp/phpunit/SomeClass.php:33
Steps To ReproduceSee the test case in the code repository.
TagsNo tags attached.
Operating System
PHP Version5.3-dev
Attached Files

- Relationships

-  Notes
(0001759)
derick (administrator)
2011-07-04 15:50

Fixed in master and xdebug_2_1: https://github.com/derickr/xdebug/commit/4b4d23fdf5455142065a859d6723e0b75b0f7203 [^]

- Issue History
Date Modified Username Field Change
2011-07-02 01:08 derick New Issue
2011-07-02 01:08 derick Status new => assigned
2011-07-02 01:08 derick Assigned To => derick
2011-07-04 15:50 derick Note Added: 0001759
2011-07-04 15:50 derick Status assigned => closed
2011-07-04 15:50 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker